Name:           cura-networking
Version:        0.0.4
Release:        1%{?dist}
Summary:        CIM providers for network management

License:        GPLv2+
URL:            http://fedorahosted.org/cura/
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cura-providers-devel >= 0.0.3
BuildRequires:  konkretcmpi-devel
BuildRequires:  sblim-cmpi-devel
BuildRequires:  cim-schema
BuildRequires:  glib2-devel
BuildRequires:  check-devel
BuildRequires:  NetworkManager-glib-devel
BuildRequires:  libuuid-devel

# For reg2pegasus.py script
Requires:       python2
# sblim-sfcb or tog-pegasus
Requires:       cim-server
# Require cura-providers because of registration scripts
Requires:       cura-providers >= 0.0.3

%description
%{name} is set of CMPI providers for network management using
Common Information Model (CIM).


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%files
%doc README COPYING
%{_libdir}/cmpi/libcmpiCura_Networking.so
%{_datadir}/%{name}/LMI_Networking.mof
%{_datadir}/%{name}/LMI_Networking.reg


%pre
# If upgrading, deregister old version
if [ "$1" -gt 1 ]; then
    %{_datadir}/cura-providers/register.sh unregister \
        %{_datadir}/%{name}/LMI_Networking.mof \
        %{_datadir}/%{name}/LMI_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%post
/sbin/ldconfig
# Register Schema and Provider
if [ "$1" -ge 1 ]; then
    %{_datadir}/cura-providers/register.sh register \
        %{_datadir}/%{name}/LMI_Networking.mof \
        %{_datadir}/%{name}/LMI_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%preun
# Deregister only if not upgrading
if [ "$1" -eq 0 ]; then
    %{_datadir}/cura-providers/register.sh unregister \
        %{_datadir}/%{name}/LMI_Networking.mof \
        %{_datadir}/%{name}/LMI_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%postun -p /sbin/ldconfig


%changelog
* Fri Oct 12 2012 Radek Novacek <rnovacek@redhat.com> 0.0.4-1
- Update to 0.0.4

* Thu Sep 06 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-4
- Fix crash when getting length of empty list

* Wed Sep 05 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-3
- Require cura-providers

* Wed Aug 29 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-2
- Patch that add linking against pthread

* Wed Aug 29 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-1
- Update to 0.0.3
- BR: cura-providers
- Don't install files that are common with cura-providers
- Prefix changed to LMI_

* Mon Aug 06 2012 Radek Novacek <rnovacek@redhat.com> 0.0.2-1
- Update to upstream version 0.0.2

* Fri Aug 03 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-1
- Initial package

